ChartDirector Ver 5.0 (PHP Edition)

Sector.setColor

Usage

setColor(color [, edgeColor [, joinLineColor ]])

Description

Sets the fill color, edge color and join line color of the sector.
By default, the edge color is SameAsMainColor. For the join line color, if the circular label layout method is used, the default is Transparent, otherwise the default is SameAsMainColor.

Arguments

Argument | Default | Description
--- | --- | ---
color | (Mandatory) | The color of the sector.
edgeColor | -1 | The edge color of the sector. -1 means the color is unchanged.
joinLineColor | -1 | The color of the line that join the sector perimeter with the sector label. -1 means the color is unchanged.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.